@echo off
echo 安装前请保证天猫魔盒处于联网状态
echo 保证天猫魔盒与电脑在同一局域网内
echo 点击天猫魔盒设置--关于--网络信息
echo 查看电视的IP地址（如：192.168.1.2）
echo ====================================
:start
set /p ip=请输入天猫魔盒IP地址：
adb kill-server
adb connect %ip% >%temp%\mitv_result
findstr "unable" %temp%\mitv_result >nul && (echo IP地址有误呦~~，请重新核对 && goto :start) || goto :end

:end
echo 连接成功，正在安装appstore（如电视有安装提示，请点击“安装”）
adb install -r AppStore_c_2.0_2006.apk
echo ====================================
echo 安装成功~~，请运行天猫魔盒上面的应用
echo 程序“野花TV助手”，按照
echo 提示操作就可以安装你所需的任何软件了。

pause